Bug 713984

Summary: Review Request: python-fastimport - Python parser for fastimport (VCS interchange format)
Product: [Fedora] Fedora Reporter: Dan Callaghan <dcallagh>
Component: Package ReviewAssignee: Pierre-YvesChibon <pingou>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: agrimm, fedora-package-review, jelmer, kad, mail, notting, pingou
Target Milestone: ---Flags: pingou: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-fastimport-0.9.0-2.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-24 23:32:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713990    

Description Dan Callaghan 2011-06-16 20:30:08 EDT
Spec URL: http://fedorapeople.org/~dcallagh/python-fastimport/python-fastimport.spec
SRPM URL: http://repos.fedorapeople.org/repos/dcallagh/bzr-fastimport/fedora-15/SRPMS/python-fastimport-0.9.0-1.fc15.src.rpm
Description: This is the Python parser that was originally developed for bzr-fastimport, but extracted so it can be used by other projects.

This library is a dependency for the very useful bzr fastimport plugin, which makes interoperability between bzr and git (and other VCS tools) possible. I will be filing a review request for bzr-fastimport too.

Build log from mock is here: http://fedorapeople.org/~dcallagh/python-fastimport/build.log
Comment 1 Dan Callaghan 2011-06-16 20:32:12 EDT
Oops, I think I got the FE-NEEDSPONSOR dependency around the wrong way.
Comment 2 Fabian Affolter 2011-06-19 06:24:45 EDT
Just two quick comments:

- Your package is 'noarch', 'CFLAGS="$RPM_OPT_FLAGS"' are not needed.
- https://launchpad.net/%{name} is reviewer-unfriendly. To visit the website the reviewer have to compose the url manually.
- rpmlint warns about mixed use of spaces and tabs
Comment 3 Dan Callaghan 2011-06-19 20:07:18 EDT
(In reply to comment #2)

I've updated the spec and SRPM with these changes.
Comment 4 Fabian Affolter 2011-07-03 04:29:34 EDT
Can you please provide a new SPEC file and a new SRPM with the changes?
Comment 5 Dan Callaghan 2011-07-03 18:27:32 EDT
Sorry, I guess my comment #3 wasn't clear. I've made the changes and updated the spec and SRPM at their original locations:
http://fedorapeople.org/~dcallagh/python-fastimport/python-fastimport.spec
http://repos.fedorapeople.org/repos/dcallagh/bzr-fastimport/fedora-15/SRPMS/python-fastimport-0.9.0-1.fc15.src.rpm

Maybe I should have bumped the revision to make it obvious?
Comment 6 Jorge A Gallegos 2011-08-21 17:50:53 EDT
I am not a package maintainer yet, just an observation: you should always bump the release number when working with a spec file, this means bumping the release number at the top and adding the changelog entry at the bottom (with the appropriate comments) and then generating a new SRPM.

I downloaded the spec and srpm and they are clean, so you only need someone with supercow powers to approve, i think. I'd recommend rebuilding the SRPM with the latest changelog entries, just in case.
Comment 7 Andy Grimm 2011-10-05 10:30:02 EDT
Similar to the review for bzr-fastimport; several parts of this spec are no longer needed in recent Fedora releases, and should be removed:

1) "%defattr(-,root,root,-)" in the %files section
2) the %clean section
3) "rm -rf $RPM_BUILD_ROOT" in the %install section

Please fix these, and I will approve the package (and as Jorge said, please bump the revision when you change the spec).

I cannot sponsor you, but I will do what I can to help you get sponsored.
Comment 8 Dan Callaghan 2011-10-05 19:51:43 EDT
(In reply to comment #7)

I've fixed these issues, and also added a patch for the incorrect FSF address (like in bzr-fastimport).

Updated spec and SRPM are here:
http://fedorapeople.org/~dcallagh/python-fastimport/python-fastimport.spec
http://repos.fedorapeople.org/repos/dcallagh/bzr-fastimport/fedora-15/SRPMS/python-fastimport-0.9.0-2.fc15.src.rpm
Comment 9 Andy Grimm 2011-10-06 09:23:42 EDT
This looks good now.

APPROVED

Next step is to get sponsored.
Comment 10 Pierre-YvesChibon 2011-10-06 16:35:59 EDT
Being a sponsor I will look into this review and #713990.

@Andy, just a reminder:
"""
Review and approval for the first package for new packagers must be done by registered sponsors.
"""
source: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Get_Sponsored
So please, don't set the review flag to '+' ;-)
Comment 11 Andy Grimm 2011-10-06 16:52:30 EDT
Sorry about that.  I talked to akurtakov about this after I had already changed the flag, and I forgot to change it back.
Comment 12 Pierre-YvesChibon 2011-10-06 16:55:37 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        /home/pingou/tmp/reviewhelper/713984/python-fastimport-0.9.0.tar.gz :
          MD5SUM this package     : 71ee728023f7d9a42f57436edeae03fb
          MD5SUM upstream package : 71ee728023f7d9a42f57436edeae03fb
        
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[x] : MUST - Rpmlint output is silent.
        
        rpmlint python-fastimport-0.9.0-2.fc17.noarch.rpm
        ================================================================================
        python-fastimport.noarch: W: spelling-error %description -l en_US bzr -> br, bar, brr
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint python-fastimport-0.9.0-2.fc17.src.rpm
        ================================================================================
        python-fastimport.src: W: spelling-error %description -l en_US bzr -> br, bar, brr
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
These can be safely ignored
        
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[-] : MUST - %build honors applicable compiler flags or justifies otherwise.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[ ] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package does not generates any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package is not relocatable.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[x] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
[x] : SHOULD - SourceX is a working URL.
[x] : SHOULD - Spec use %global instead of %define.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[x] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[-] : SHOULD - Scriptlets must be sane, if used.
[-] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[x] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.

This package is

APPROVED
Comment 13 Dan Callaghan 2011-10-13 02:19:37 EDT
New Package SCM Request
=======================
Package Name: python-fastimport
Short Description: Python parser for fastimport (VCS interchange format)
Owners: dcallagh
Branches: f15 el6
InitialCC: pingou
Comment 14 Jon Ciesla 2011-10-13 08:37:07 EDT
Git done (by process-git-requests).

Added f16 branch.
Comment 15 Fedora Update System 2011-10-13 20:55:22 EDT
python-fastimport-0.9.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-fastimport-0.9.0-2.fc16
Comment 16 Fedora Update System 2011-10-15 10:33:17 EDT
python-fastimport-0.9.0-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 17 Fedora Update System 2011-10-24 23:32:47 EDT
python-fastimport-0.9.0-2.fc16 has been pushed to the Fedora 16 stable repository.